:root {
  --subcategories-link-background-color: var(--color-primary-container);
  --subcategories-link-background-color-hover: var(--color-primary);
  --subcategories-link-color: var(--color-on-primary-container);
  --subcategories-link-color-hover: var(--color-on-primary);
  --subcategories-toggle-background-color: var(--color-primary);
  --subcategories-toggle-background-color-hover: var(--color-primary-container);
  --subcategories-toggle-color: var(--color-on-primary);
  --subcategories-toggle-color-hover: var(--color-on-primary-container);
}

.subcategories {
  margin-top: calc(var(--spacing-xs) * -1);
  overflow-x: auto;
  overflow-y: hidden;
  padding-bottom: 0.5rem;
  max-height: 2.7rem;
}

.subcategories--open {
  max-height: none;
}

.subcategories__toggle,
.subcategories__link {
  border: none;
  margin-top: var(--spacing-xs);
  margin-right: var(--spacing-xs);
  display: inline-flex;
  align-items: center;
  justify-content: center;
  line-height: 1;
  flex: 0 0 auto;
  background-color: var(--subcategories-link-background-color);
  color: var(--subcategories-link-color);
  padding: var(--spacing-xs) var(--spacing-md);
  border-radius: var(--radius-lg);
  font: var(--typography-label-medium);
  transition: all 0.2s ease-in-out;
  cursor: pointer;
  gap: var(--spacing-xs);

  &:hover {
    background-color: var(--subcategories-link-background-color-hover);
    color: var(--subcategories-link-color-hover);
  }
}

.subcategories__link--current {
  background-color: var(--color-primary);
  color: var(--color-on-primary);
}

.subcategories__link--current::after {
  content: '';
  display: block;
  width: 1rem;
  height: 1rem;
  background: transparent url('../../../icons/ffffff/close-circle.svg') no-repeat center;
  background-size: 1rem;
  margin-left: var(--spacing-xxs);
}

@media (min-width: 768px) {
  .subcategories {
    padding-bottom: 0;
    flex-wrap: wrap;
  }
}

.subcategories__toggle {
  float: right;
  background: var(--subcategories-toggle-background-color);
  color: var(--subcategories-toggle-color);

  &:hover {
    background-color: var(--subcategories-toggle-background-color-hover);
    color: var(--subcategories-toggle-color-hover);
  }
}

.subcategories__toggle svg {
  margin-top: calc(var(--spacing-xs) * -1);
  margin-bottom: calc(var(--spacing-xs) * -1);
  width: 1rem;
}
